## python-psutil 5.7.2

=== Makefile ===
# Shortcuts for various tasks (UNIX only).
# To use a specific Python version run: "make install PYTHON=python3.3"
# You can set the variables below from the command line.

# Configurable.
PYTHON = python3
ARGS =
TSCRIPT = psutil/tests/runner.py

# Internal.
DEPS = \
	argparse \
	check-manifest \
	concurrencytest \
	coverage \
	flake8 \
	flake8-print \
	pyperf \
	requests \
	setuptools \
	twine \
	virtualenv \
	wheel
PY2_DEPS = \
	futures \
	ipaddress \
	mock==1.0.1 \
	unittest2
DEPS += `$(PYTHON) -c \
	"import sys; print('$(PY2_DEPS)' if sys.version_info[0] == 2 else '')"`
# "python3 setup.py build" can be parallelized on Python >= 3.6.
BUILD_OPTS = `$(PYTHON) -c \
	"import sys, os; \
	py36 = sys.version_info[:2] >= (3, 6); \
	cpus = os.cpu_count() or 1 if py36 else 1; \
	print('--parallel %s' % cpus if cpus > 1 else '')"`
# In not in a virtualenv, add --user options for install commands.
INSTALL_OPTS = `$(PYTHON) -c \
	"import sys; print('' if hasattr(sys, 'real_prefix') else '--user')"`
TEST_PREFIX = PYTHONWARNINGS=always PSUTIL_TESTING=1 PSUTIL_DEBUG=1

all: test

# ===================================================================
# Install
# ===================================================================

clean:  ## Remove all build files.
	rm -rf `find . -type d -name __pycache__ \
		-o -type f -name \*.bak \
		-o -type f -name \*.orig \
		-o -type f -name \*.pyc \
		-o -type f -name \*.pyd \
		-o -type f -name \*.pyo \
		-o -type f -name \*.rej \
		-o -type f -name \*.so \
		-o -type f -name \*.~ \
		-o -type f -name \*\$testfn`
	rm -rf \
		*.core \
		*.egg-info \
		*\@psutil-* \
		.coverage \
		.failed-tests.txt \
		.tox \
		build/ \
		dist/ \
		docs/_build/ \
		htmlcov/

_:

build: _  ## Compile (in parallel) without installing.
	@# "build_ext -i" copies compiled *.so files in ./psutil directory in order
	@# to allow "import psutil" when using the interactive interpreter from
	@# within  this directory.
	PYTHONWARNINGS=all $(PYTHON) setup.py build_ext -i $(BUILD_OPTS)

install:  ## Install this package as current user in "edit" mode.
	# make sure setuptools is installed (needed for 'develop' / edit mode)
	$(PYTHON) -c "import setuptools"
	${MAKE} build
	PYTHONWARNINGS=all $(PYTHON) setup.py develop $(INSTALL_OPTS)
	$(PYTHON) -c "import psutil"  # make sure it actually worked

uninstall:  ## Uninstall this package via pip.
	cd ..; $(PYTHON) -m pip uninstall -y -v psutil || true
	$(PYTHON) scripts/internal/purge_installation.py

install-pip:  ## Install pip (no-op if already installed).
	$(PYTHON) -c \
		"import sys, ssl, os, pkgutil, tempfile, atexit; \
		sys.exit(0) if pkgutil.find_loader('pip') else None; \
		pyexc = 'from urllib.request import urlopen' if sys.version_info[0] == 3 else 'from urllib2 import urlopen'; \
		exec(pyexc); \
		ctx = ssl._create_unverified_context() if hasattr(ssl, '_create_unverified_context') else None; \
		kw = dict(context=ctx) if ctx else {}; \
		req = urlopen('https://bootstrap.pypa.io/get-pip.py', **kw); \
		data = req.read(); \
		f = tempfile.NamedTemporaryFile(suffix='.py'); \
		atexit.register(f.close); \
		f.write(data); \
		f.flush(); \
		print('downloaded %s' % f.name); \
		code = os.system('%s %s --user' % (sys.executable, f.name)); \
		f.close(); \
		sys.exit(code);"

setup-dev-env:  ## Install GIT hooks, pip, test deps (also upgrades them).
	${MAKE} install-git-hooks
	${MAKE} install-pip
	$(PYTHON) -m pip install $(INSTALL_OPTS) --upgrade --trusted-host files.pythonhosted.org pip
	$(PYTHON) -m pip install $(INSTALL_OPTS) --upgrade --trusted-host files.pythonhosted.org $(DEPS)

# ===================================================================
# Tests
# ===================================================================

test:  ## Run all tests.
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS)

test-parallel:  ## Run all tests in parallel.
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS) --parallel

test-process:  ## Run process-related API tests.
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS) psutil/tests/test_process.py

test-system:  ## Run system-related API tests.
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS) psutil/tests/test_system.py

test-misc:  ## Run miscellaneous tests.
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS) psutil/tests/test_misc.py

test-testutils:  ## Run test utils tests.
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS) psutil/tests/test_testutils.py

test-unicode:  ## Test APIs dealing with strings.
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS) psutil/tests/test_unicode.py

test-contracts:  ## APIs sanity tests.
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS) psutil/tests/test_contracts.py

test-connections:  ## Test net_connections() and Process.connections().
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS) psutil/tests/test_connections.py

test-posix:  ## POSIX specific tests.
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS) psutil/tests/test_posix.py

test-platform:  ## Run specific platform tests only.
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS) psutil/tests/test_`$(PYTHON) -c 'import psutil; print([x.lower() for x in ("LINUX", "BSD", "OSX", "SUNOS", "WINDOWS", "AIX") if getattr(psutil, x)][0])'`.py

test-memleaks:  ## Memory leak tests.
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS) psutil/tests/test_memleaks.py

test-by-name:  ## e.g. make test-by-name ARGS=psutil.tests.test_system.TestSystemAPIs
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS)

test-failed:  ## Re-run tests which failed on last run
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT) $(ARGS) --last-failed

test-coverage:  ## Run test coverage.
	${MAKE} build
	# Note: coverage options are controlled by .coveragerc file
	rm -rf .coverage htmlcov
	$(TEST_PREFIX) $(PYTHON) -m coverage run $(TSCRIPT)
	$(PYTHON) -m coverage report
	@echo "writing results to htmlcov/index.html"
	$(PYTHON) -m coverage html
	$(PYTHON) -m webbrowser -t htmlcov/index.html

# ===================================================================
# Linters
# ===================================================================

lint-py:  ## Run Python (flake8) linter.
	@git ls-files '*.py' | xargs $(PYTHON) -m flake8 --config=.flake8

lint-c:  ## Run  C linter.
	@git ls-files '*.c' '*.h' | xargs $(PYTHON) scripts/internal/clinter.py

lint:  ## Run Python (flake8) and C linters.
	${MAKE} lint-py
	${MAKE} lint-c

fix-lint:  ## Attempt to automatically fix some Python lint issues.
	@git ls-files | grep \\.py$ | xargs $(PYTHON) -m flake8 --exit-zero | $(PYTHON) scripts/internal/fix_flake8.py

# ===================================================================
# GIT
# ===================================================================

install-git-hooks:  ## Install GIT pre-commit hook.
	ln -sf ../../scripts/internal/git_pre_commit.py .git/hooks/pre-commit
	chmod +x .git/hooks/pre-commit

# ===================================================================
# Wheels
# ===================================================================

download-wheels-appveyor:  ## Download latest wheels hosted on appveyor.
	$(PYTHON) scripts/internal/download_wheels_appveyor.py --user giampaolo --project psutil

download-wheels-github:  ## Download latest wheels hosted on github.
	$(PYTHON) scripts/internal/download_wheels_github.py --user=giampaolo --project=psutil --tokenfile=~/.github.token

download-wheels:  ## Download wheels from github and appveyor
	rm -rf dist
	${MAKE} download-wheels-appveyor
	# ${MAKE} download-wheels-github
	${MAKE} print-wheels

print-wheels:  ## Print downloaded wheels
	$(PYTHON) scripts/internal/print_wheels.py

# ===================================================================
# Distribution
# ===================================================================

git-tag-release:  ## Git-tag a new release.
	git tag -a release-`python -c "import setup; print(setup.get_version())"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
	git push --follow-tags

sdist:  ## Create tar.gz source distribution.
	${MAKE} generate-manifest
	$(PYTHON) setup.py sdist

upload-src:  ## Upload source tarball on https://pypi.org/project/psutil/
	${MAKE} sdist
	$(PYTHON) -m twine upload dist/*.tar.gz

upload-wheels:  ## Upload wheels in dist/* directory on PyPI.
	$(PYTHON) -m twine upload dist/*.whl

# --- others

check-sdist:  ## Create source distribution and checks its sanity (MANIFEST)
	rm -rf dist
	${MAKE} clean
	$(PYTHON) -m virtualenv --clear --no-wheel --quiet build/venv
	PYTHONWARNINGS=all $(PYTHON) setup.py sdist
	build/venv/bin/python -m pip install -v --isolated --quiet dist/*.tar.gz
	build/venv/bin/python -c "import os; os.chdir('build/venv'); import psutil"

tidelift-relnotes:  ## upload release notes from HISTORY
	$(PYTHON) scripts/internal/tidelift.py

pre-release:  ## Check if we're ready to produce a new release.
	${MAKE} check-sdist
	${MAKE} install
	${MAKE} generate-manifest
	git diff MANIFEST.in > /dev/null  # ...otherwise 'git diff-index HEAD' will complain
	${MAKE} download-wheels
	${MAKE} sdist
	$(PYTHON) -c \
		"from psutil import __version__ as ver; \
		doc = open('docs/index.rst').read(); \
		history = open('HISTORY.rst').read(); \
		assert ver in doc, '%r not in docs/index.rst' % ver; \
		assert ver in history, '%r not in HISTORY.rst' % ver; \
		assert 'XXXX' not in history, 'XXXX in HISTORY.rst';"
	$(PYTHON) -c "import subprocess, sys; out = subprocess.check_output('git diff --quiet && git diff --cached --quiet', shell=True).strip(); sys.exit('there are uncommitted changes:\n%s' % out) if out else 0 ;"

release:  ## Create a release (down/uploads tar.gz, wheels, git tag release).
	${MAKE} pre-release
	$(PYTHON) -m twine upload dist/*  # upload tar.gz and Windows wheels on PyPI
	${MAKE} git-tag-release
	${MAKE} tidelift-relnotes

check-manifest:  ## Inspect MANIFEST.in file.
	$(PYTHON) -m check_manifest -v $(ARGS)

generate-manifest:  ## Generates MANIFEST.in file.
	$(PYTHON) scripts/internal/generate_manifest.py > MANIFEST.in

# ===================================================================
# Printers
# ===================================================================

print-announce:  ## Print announce of new release.
	@$(PYTHON) scripts/internal/print_announce.py

print-timeline:  ## Print releases' timeline.
	@$(PYTHON) scripts/internal/print_timeline.py

print-access-denied: ## Print AD exceptions
	${MAKE} build
	@$(TEST_PREFIX) $(PYTHON) scripts/internal/print_access_denied.py

print-api-speed:  ## Benchmark all API calls
	${MAKE} build
	@$(TEST_PREFIX) $(PYTHON) scripts/internal/print_api_speed.py $(ARGS)

# ===================================================================
# Misc
# ===================================================================

grep-todos:  ## Look for TODOs in the source files.
	git grep -EIn "TODO|FIXME|XXX"

bench-oneshot:  ## Benchmarks for oneshot() ctx manager (see #799).
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) scripts/internal/bench_oneshot.py

bench-oneshot-2:  ## Same as above but using perf module (supposed to be more precise)
	${MAKE} build
	$(TEST_PREFIX) $(PYTHON) scripts/internal/bench_oneshot_2.py

check-broken-links:  ## Look for broken links in source files.
	git ls-files | xargs $(PYTHON) -Wa scripts/internal/check_broken_links.py

help: ## Display callable targets.
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
python-psutil (5.7.2-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 15 Feb 2021 13:58:25 -0500

python-psutil (5.7.2-1~bpo10+2) buster-backports; urgency=medium

  * No change, only a source upload to fix python dependencies.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 23 Sep 2020 10:37:34 +0200

python-psutil (5.7.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Add myself to uploaders for backports.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 16 Sep 2020 09:38:49 +0200

python-psutil (5.7.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump compat level to 13
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Jul 2020 22:40:28 -0400

python-psutil (5.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * New upstream release; Closes: #960770
  * debian/patches/*
    - refresh patches
  * debian/copyright
    - extend packaging copyright years
  * debian/rules
    - update test runner location

 -- Sandro Tosi <morph@debian.org>  Sun, 17 May 2020 01:34:24 -0400

=== debian/control ===
Source: python-psutil
Section: python
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               procps,
               python3-all-dbg,
               python3-all-dev,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.5.0
XS-Python-Version: all
Homepage: https://github.com/giampaolo/psutil
Vcs-Git: https://salsa.debian.org/python-team/modules/python-psutil.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-psutil
Testsuite: autopkgtest-pkg-python

Package: python3-psutil
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python-psutil-doc,
Description: module providing convenience functions for managing processes (Python3)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the Python 3 version of psutil.

Package: python3-psutil-dbg
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-psutil (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: module providing convenience functions for managing processes (Python3 debug)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the debug extension for python3-psutil-.

Package: python-psutil-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: module providing convenience functions for managing processes (doc)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the documentation for psutil.

## python-psutil 5.8.0

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	flake8 \
 	flake8-print \
 	pyperf \
+	pypinfo \
 	requests \
 	setuptools \
 	twine \
@@ -62,7 +63,6 @@
 		*\@psutil-* \
 		.coverage \
 		.failed-tests.txt \
-		.tox \
 		build/ \
 		dist/ \
 		docs/_build/ \
@@ -88,7 +88,7 @@
 	$(PYTHON) scripts/internal/purge_installation.py
 
 install-pip:  ## Install pip (no-op if already installed).
-	$(PYTHON) -c \
+	@$(PYTHON) -c \
 		"import sys, ssl, os, pkgutil, tempfile, atexit; \
 		sys.exit(0) if pkgutil.find_loader('pip') else None; \
 		pyexc = 'from urllib.request import urlopen' if sys.version_info[0] == 3 else 'from urllib2 import urlopen'; \
@@ -102,7 +102,7 @@
 		f.write(data); \
 		f.flush(); \
 		print('downloaded %s' % f.name); \
-		code = os.system('%s %s --user' % (sys.executable, f.name)); \
+		code = os.system('%s %s --user --upgrade' % (sys.executable, f.name)); \
 		f.close(); \
 		sys.exit(code);"
 
@@ -211,17 +211,11 @@
 # Wheels
 # ===================================================================
 
+download-wheels-github:  ## Download latest wheels hosted on github.
+	$(PYTHON) scripts/internal/download_wheels_github.py --tokenfile=~/.github.token
+
 download-wheels-appveyor:  ## Download latest wheels hosted on appveyor.
-	$(PYTHON) scripts/internal/download_wheels_appveyor.py --user giampaolo --project psutil
-
-download-wheels-github:  ## Download latest wheels hosted on github.
-	$(PYTHON) scripts/internal/download_wheels_github.py --user=giampaolo --project=psutil --tokenfile=~/.github.token
-
-download-wheels:  ## Download wheels from github and appveyor
-	rm -rf dist
-	${MAKE} download-wheels-appveyor
-	# ${MAKE} download-wheels-github
-	${MAKE} print-wheels
+	$(PYTHON) scripts/internal/download_wheels_appveyor.py
 
 print-wheels:  ## Print downloaded wheels
 	$(PYTHON) scripts/internal/print_wheels.py
@@ -237,6 +231,7 @@
 sdist:  ## Create tar.gz source distribution.
 	${MAKE} generate-manifest
 	$(PYTHON) setup.py sdist
+	$(PYTHON) -m twine check dist/*.tar.gz
 
 upload-src:  ## Upload source tarball on https://pypi.org/project/psutil/
 	${MAKE} sdist
@@ -263,8 +258,12 @@
 	${MAKE} install
 	${MAKE} generate-manifest
 	git diff MANIFEST.in > /dev/null  # ...otherwise 'git diff-index HEAD' will complain
-	${MAKE} download-wheels
 	${MAKE} sdist
+	${MAKE} download-wheels-github
+	${MAKE} download-wheels-appveyor
+	${MAKE} print-hashes
+	${MAKE} print-wheels
+	$(PYTHON) -m twine check dist/*
 	$(PYTHON) -c \
 		"from psutil import __version__ as ver; \
 		doc = open('docs/index.rst').read(); \
@@ -272,10 +271,9 @@
 		assert ver in doc, '%r not in docs/index.rst' % ver; \
 		assert ver in history, '%r not in HISTORY.rst' % ver; \
 		assert 'XXXX' not in history, 'XXXX in HISTORY.rst';"
+
+release:  ## Create a release (down/uploads tar.gz, wheels, git tag release).
 	$(PYTHON) -c "import subprocess, sys; out = subprocess.check_output('git diff --quiet && git diff --cached --quiet', shell=True).strip(); sys.exit('there are uncommitted changes:\n%s' % out) if out else 0 ;"
-
-release:  ## Create a release (down/uploads tar.gz, wheels, git tag release).
-	${MAKE} pre-release
 	$(PYTHON) -m twine upload dist/*  # upload tar.gz and Windows wheels on PyPI
 	${MAKE} git-tag-release
 	${MAKE} tidelift-relnotes
@@ -304,6 +302,12 @@
 	${MAKE} build
 	@$(TEST_PREFIX) $(PYTHON) scripts/internal/print_api_speed.py $(ARGS)
 
+print-downloads:  ## Print PYPI download statistics
+	$(PYTHON) scripts/internal/print_downloads.py
+
+print-hashes:  ## Prints hashes of files in dist/ directory
+	$(PYTHON) scripts/internal/print_hashes.py dist/
+
 # ===================================================================
 # Misc
 # ===================================================================

=== debian/changelog ===
python-psutil (5.8.0-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Jan 2021 23:22:15 -0500

python-psutil (5.7.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Oct 2020 18:36:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-           Dylan Aïssi <daissi@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                procps,
@@ -13,11 +11,11 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 XS-Python-Version: all
 Homepage: https://github.com/giampaolo/psutil
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-psutil.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-psutil
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-psutil.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-psutil
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-psutil

=== debian/rules ===
#!/usr/bin/make -f

PY3VERS := $(shell py3versions -s)

export PYBUILD_AFTER_BUILD=$(MAKE) -C docs html PYTHON=python3

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	set -e ; \
	for python in $(PY3VERS); do \
		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil; \
		$$python-dbg setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil-dbg; \
	done


override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONWARNINGS=all PSUTIL_TESTING=1 PSUTIL_DEBUG=1 PYTHONPATH={build_dir} {interpreter} psutil/tests/runner.py || true" dh_auto_test
endif

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_installdocs:
	dh_installdocs -X.DS_Store
	dh_installdocs -ppython-psutil-doc docs/_build/html README.rst

override_dh_compress:
	dh_compress -X.py

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-psutil --dbg-package=python3-psutil-dbg
endif

## python-psutil 5.9.0

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,12 @@
 	coverage \
 	flake8 \
 	flake8-print \
+	isort \
 	pyperf \
 	pypinfo \
 	requests \
 	setuptools \
+	sphinx_rtd_theme \
 	twine \
 	virtualenv \
 	wheel
@@ -38,16 +40,16 @@
 # In not in a virtualenv, add --user options for install commands.
 INSTALL_OPTS = `$(PYTHON) -c \
 	"import sys; print('' if hasattr(sys, 'real_prefix') else '--user')"`
-TEST_PREFIX = PYTHONWARNINGS=always PSUTIL_TESTING=1 PSUTIL_DEBUG=1
-
-all: test
+TEST_PREFIX = PYTHONWARNINGS=always PSUTIL_DEBUG=1
+
+all: help
 
 # ===================================================================
 # Install
 # ===================================================================
 
 clean:  ## Remove all build files.
-	rm -rf `find . -type d -name __pycache__ \
+	@rm -rfv `find . -type d -name __pycache__ \
 		-o -type f -name \*.bak \
 		-o -type f -name \*.orig \
 		-o -type f -name \*.pyc \
@@ -57,7 +59,7 @@
 		-o -type f -name \*.so \
 		-o -type f -name \*.~ \
 		-o -type f -name \*\$testfn`
-	rm -rf \
+	@rm -rfv \
 		*.core \
 		*.egg-info \
 		*\@psutil-* \
@@ -186,18 +188,29 @@
 # Linters
 # ===================================================================
 
-lint-py:  ## Run Python (flake8) linter.
+check-flake8:  ## Run flake8 linter.
 	@git ls-files '*.py' | xargs $(PYTHON) -m flake8 --config=.flake8
 
-lint-c:  ## Run  C linter.
+check-imports:  ## Run isort linter.
+	@git ls-files '*.py' | xargs $(PYTHON) -m isort --settings=.isort.cfg --check-only
+
+check-c-code:  ## Run C linter.
 	@git ls-files '*.c' '*.h' | xargs $(PYTHON) scripts/internal/clinter.py
 
-lint:  ## Run Python (flake8) and C linters.
-	${MAKE} lint-py
-	${MAKE} lint-c
-
-fix-lint:  ## Attempt to automatically fix some Python lint issues.
+lint:  ## Run all linters
+	${MAKE} check-flake8
+	${MAKE} check-imports
+	${MAKE} check-c-code
+
+# ===================================================================
+# Fixers
+# ===================================================================
+
+fix-flake8:  ## Attempt to automatically fix some Python flake8 issues.
 	@git ls-files | grep \\.py$ | xargs $(PYTHON) -m flake8 --exit-zero | $(PYTHON) scripts/internal/fix_flake8.py
+
+fix-imports:  ## Fix imports with isort.
+	@git ls-files '*.py' | xargs $(PYTHON) -m isort --settings=.isort.cfg
 
 # ===================================================================
 # GIT
@@ -213,9 +226,11 @@
 
 download-wheels-github:  ## Download latest wheels hosted on github.
 	$(PYTHON) scripts/internal/download_wheels_github.py --tokenfile=~/.github.token
+	${MAKE} print-wheels
 
 download-wheels-appveyor:  ## Download latest wheels hosted on appveyor.
 	$(PYTHON) scripts/internal/download_wheels_appveyor.py
+	${MAKE} print-wheels
 
 print-wheels:  ## Print downloaded wheels
 	$(PYTHON) scripts/internal/print_wheels.py
@@ -324,7 +339,3 @@
 	$(TEST_PREFIX) $(PYTHON) scripts/internal/bench_oneshot_2.py
 
 check-broken-links:  ## Look for broken links in source files.
-	git ls-files | xargs $(PYTHON) -Wa scripts/internal/check_broken_links.py
-
-help: ## Display callable targets.
-	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
python-psutil (5.9.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:00:47 +0000

python-psutil (5.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches
  * debian/control
    - drop XS-Python-Version
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/watch
    - track github tags

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Dec 2021 22:30:40 -0500

python-psutil (5.8.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-psutil-dbg: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * remove -dbg package; Closes: #994364

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 19:31:08 -0400

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                procps,
-               python3-all-dbg,
                python3-all-dev,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.5.1
-XS-Python-Version: all
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/giampaolo/psutil
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-psutil.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-psutil
@@ -34,23 +32,6 @@
  .
  This package contains the Python 3 version of psutil.
 
-Package: python3-psutil-dbg
-Section: debug
-Architecture: any
-Depends: python3-dbg,
-         python3-psutil (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: module providing convenience functions for managing processes (Python3 debug)
- psutil is a module providing an interface for retrieving information on
- running processes and system utilization (CPU, memory) in a portable way
- by using Python, implementing many functionalities offered by tools like
- ps, top and Windows task manager.
- .
- It currently supports Linux, OS X, FreeBSD and Windows.
- .
- This package contains the debug extension for python3-psutil-.
-
 Package: python-psutil-doc
 Section: doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 	set -e ; \
 	for python in $(PY3VERS); do \
 		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil; \
-		$$python-dbg setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil-dbg; \
 	done
 
 
@@ -29,8 +28,3 @@
 
 override_dh_compress:
 	dh_compress -X.py
-
-override_dh_strip:
-ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -ppython3-psutil --dbg-package=python3-psutil-dbg
-endif

## python-psutil 5.9.4

=== Makefile ===
--- 
+++ 
@@ -9,13 +9,19 @@
 
 # Internal.
 DEPS = \
-	argparse \
+	autoflake \
+	autopep8 \
 	check-manifest \
 	concurrencytest \
 	coverage \
 	flake8 \
+	flake8-blind-except \
+	flake8-bugbear \
+	flake8-debugger \
 	flake8-print \
+	flake8-quotes \
 	isort \
+	pep8-naming \
 	pyperf \
 	pypinfo \
 	requests \
@@ -27,8 +33,7 @@
 PY2_DEPS = \
 	futures \
 	ipaddress \
-	mock==1.0.1 \
-	unittest2
+	mock
 DEPS += `$(PYTHON) -c \
 	"import sys; print('$(PY2_DEPS)' if sys.version_info[0] == 2 else '')"`
 # "python3 setup.py build" can be parallelized on Python >= 3.6.
@@ -39,10 +44,11 @@
 	print('--parallel %s' % cpus if cpus > 1 else '')"`
 # In not in a virtualenv, add --user options for install commands.
 INSTALL_OPTS = `$(PYTHON) -c \
-	"import sys; print('' if hasattr(sys, 'real_prefix') else '--user')"`
+	"import sys; print('' if hasattr(sys, 'real_prefix') or hasattr(sys, 'base_prefix') and sys.base_prefix != sys.prefix else '--user')"`
 TEST_PREFIX = PYTHONWARNINGS=always PSUTIL_DEBUG=1
 
-all: help
+# if make is invoked with no arg, default to `make help`
+.DEFAULT_GOAL := help
 
 # ===================================================================
 # Install
@@ -70,17 +76,14 @@
 		docs/_build/ \
 		htmlcov/
 
-_:
-
-build: _  ## Compile (in parallel) without installing.
+.PHONY: build
+build:  ## Compile (in parallel) without installing.
 	@# "build_ext -i" copies compiled *.so files in ./psutil directory in order
 	@# to allow "import psutil" when using the interactive interpreter from
 	@# within  this directory.
 	PYTHONWARNINGS=all $(PYTHON) setup.py build_ext -i $(BUILD_OPTS)
 
 install:  ## Install this package as current user in "edit" mode.
-	# make sure setuptools is installed (needed for 'develop' / edit mode)
-	$(PYTHON) -c "import setuptools"
 	${MAKE} build
 	PYTHONWARNINGS=all $(PYTHON) setup.py develop $(INSTALL_OPTS)
 	$(PYTHON) -c "import psutil"  # make sure it actually worked
@@ -188,29 +191,34 @@
 # Linters
 # ===================================================================
 
-check-flake8:  ## Run flake8 linter.
+flake8:  ## Run flake8 linter.
 	@git ls-files '*.py' | xargs $(PYTHON) -m flake8 --config=.flake8
 
-check-imports:  ## Run isort linter.
-	@git ls-files '*.py' | xargs $(PYTHON) -m isort --settings=.isort.cfg --check-only
-
-check-c-code:  ## Run C linter.
+isort:  ## Run isort linter.
+	@git ls-files '*.py' | xargs $(PYTHON) -m isort --check-only
+
+c-linter:  ## Run C linter.
 	@git ls-files '*.c' '*.h' | xargs $(PYTHON) scripts/internal/clinter.py
 
-lint:  ## Run all linters
-	${MAKE} check-flake8
-	${MAKE} check-imports
-	${MAKE} check-c-code
+lint-all:  ## Run all linters
+	${MAKE} flake8
+	${MAKE} isort
+	${MAKE} c-linter
 
 # ===================================================================
 # Fixers
 # ===================================================================
 
-fix-flake8:  ## Attempt to automatically fix some Python flake8 issues.
-	@git ls-files | grep \\.py$ | xargs $(PYTHON) -m flake8 --exit-zero | $(PYTHON) scripts/internal/fix_flake8.py
+fix-flake8:  ## Run autopep8, fix some Python flake8 / pep8 issues.
+	@git ls-files '*.py' | xargs $(PYTHON) -m autopep8 --in-place --jobs 0 --global-config=.flake8
+	@git ls-files '*.py' | xargs $(PYTHON) -m autoflake --in-place --jobs 0 --remove-all-unused-imports --remove-unused-variables --remove-duplicate-keys
 
 fix-imports:  ## Fix imports with isort.
-	@git ls-files '*.py' | xargs $(PYTHON) -m isort --settings=.isort.cfg
+	@git ls-files '*.py' | xargs $(PYTHON) -m isort
+
+fix-all:  ## Run all code fixers.
+	${MAKE} fix-flake8
+	${MAKE} fix-imports
 
 # ===================================================================
 # GIT
@@ -240,20 +248,13 @@
 # ===================================================================
 
 git-tag-release:  ## Git-tag a new release.
-	git tag -a release-`python -c "import setup; print(setup.get_version())"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
+	git tag -a release-`python3 -c "import setup; print(setup.get_version())"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
 	git push --follow-tags
 
 sdist:  ## Create tar.gz source distribution.
 	${MAKE} generate-manifest
 	$(PYTHON) setup.py sdist
 	$(PYTHON) -m twine check dist/*.tar.gz
-
-upload-src:  ## Upload source tarball on https://pypi.org/project/psutil/
-	${MAKE} sdist
-	$(PYTHON) -m twine upload dist/*.tar.gz
-
-upload-wheels:  ## Upload wheels in dist/* directory on PyPI.
-	$(PYTHON) -m twine upload dist/*.whl
 
 # --- others
 
@@ -264,9 +265,6 @@
 	PYTHONWARNINGS=all $(PYTHON) setup.py sdist
 	build/venv/bin/python -m pip install -v --isolated --quiet dist/*.tar.gz
 	build/venv/bin/python -c "import os; os.chdir('build/venv'); import psutil"
-
-tidelift-relnotes:  ## upload release notes from HISTORY
-	$(PYTHON) scripts/internal/tidelift.py
 
 pre-release:  ## Check if we're ready to produce a new release.
 	${MAKE} check-sdist
@@ -288,10 +286,9 @@
 		assert 'XXXX' not in history, 'XXXX in HISTORY.rst';"
 
 release:  ## Create a release (down/uploads tar.gz, wheels, git tag release).
-	$(PYTHON) -c "import subprocess, sys; out = subprocess.check_output('git diff --quiet && git diff --cached --quiet', shell=True).strip(); sys.exit('there are uncommitted changes:\n%s' % out) if out else 0 ;"
+	$(PYTHON) -m twine check dist/*
 	$(PYTHON) -m twine upload dist/*  # upload tar.gz and Windows wheels on PyPI
 	${MAKE} git-tag-release
-	${MAKE} tidelift-relnotes
 
 check-manifest:  ## Inspect MANIFEST.in file.
 	$(PYTHON) -m check_manifest -v $(ARGS)
@@ -339,3 +336,7 @@
 	$(TEST_PREFIX) $(PYTHON) scripts/internal/bench_oneshot_2.py
 
 check-broken-links:  ## Look for broken links in source files.
+	git ls-files | xargs $(PYTHON) -Wa scripts/internal/check_broken_links.py
+
+help: ## Display callable targets.
+	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
python-psutil (5.9.4-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - for tests, pretend Debian build is like CI, to prevent random testsuite
      lockups
  * debian/control
    - bump Standards-Version to 4.6.1.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Dec 2022 01:45:09 -0500

python-psutil (5.9.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Sep 2022 22:08:18 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/giampaolo/psutil
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-psutil.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-psutil

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 PY3VERS := $(shell py3versions -s)
 
 export PYBUILD_AFTER_BUILD=$(MAKE) -C docs html PYTHON=python3
+
+# fake CI running, https://github.com/giampaolo/psutil/issues/2104
+export APPVEYOR=
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
